# Function deserializeLayout

- deserializeLayout<L, B>(layout, encoded, offset?, consumeAll?): B extends true
  ? layout.LayoutToType<L>
  : readonly [layout.LayoutToType<L>, number]

- #### Type Parameters

  - #### L extends layout.Layout

  - #### B extends boolean = true

  #### Parameters

  - ##### layout: L

  - ##### encoded: Uint8Array

  - ##### `Optional` offset: number

  - ##### `Optional` consumeAll: B

  #### Returns B extends true
  ? layout.LayoutToType<L>
  : readonly [layout.LayoutToType<L>, number]

  - Defined in core/base/dist/esm/utils/layout/deserialize.d.ts:2

Generated using TypeDoc